Subject: Re: bug#12774: 24.2.50; EMACS 24.2.50.1 crashing

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 Nov 2012 19:29:42 +0200

> From: Vincent Belaïche <[email-masked]> 
> Date: Sun, 04 Nov 2012 21:30:58 +0100
> 
> > Do you have some old org.el on your system? The current version
> > doesn't have a call to org-mode-p inside
> > org-install-agenda-files-menu, it does this:
> 
> [...]
> 
> > As you see, it uses (derived-mode-p 'org-mode), not (org-mode-p).
> 
> I have the same (derived-mode-p 'org-mode) in the org.el which comes
> with the crashing EMACS, however you are right: at some point of time I
> had copied org.el from .../Emacs/lisp/org to ~/.emacs.d/etc which is in
> my load-path *before* .../Emacs/lisp/org.  This was because I wanted to
> make some experiment on paragraph justification. So the org.el that is
> loaded and that causes this (org-mode-p) not defined error is the one
> from ~/.emacs.d/etc and not the official one coming with EMACS, and it
> is older because since then I have updated my BZR source tree !
> 
> I have renamed this ~/.emacs.d/etc/org.el to org.el.old, and I am trying
> to make EMACS crash with that, and it seems that the crash does not
> happen any longer.
> 
> Ok, I now admit that this older org.el was some *MISTAKE* of mine. Sorry
> for all the distrubance which again I caused. Do you still consider that
> bug#12774 is a real bug at all ?

It's certainly a bug: nothing Lisp does should ever crash Emacs.

Anyway, I installed a change (revision 110784 on the emacs-24 branch)
that should fix this problem.  If you can try with the old org.el,
please do so to verify that the crashes are gone.

Thanks.